Bug 125424 - sadc broken with count > 1
sadc broken with count > 1
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: sysstat (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Charlie Bennett
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-06 18:38 EDT by Chuck Berg
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-20 23:01:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bad sar data from sadc 1 10 sardata.1 (10.38 KB, application/octet-stream)
2004-06-06 18:39 EDT, Chuck Berg
no flags Details

  None (edit)
Description Chuck Berg 2004-06-06 18:38:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031030

Description of problem:
When giving sadc a count greater than 1, sar produces no output when
reading the resulting file.



Version-Release number of selected component (if applicable):
sysstat-4.0.7-4.EL3.2

How reproducible:
Always

Steps to Reproduce:
root@jc1lssg2:/tmp# /usr/lib/sa/sadc 1 10 sardata.1
root@jc1lssg2:/tmp# sar -f sardata.1
Linux 2.4.21-15.EL (jc1lssg2)   06/06/2004
root@jc1lssg2:/tmp#


Actual Results:  No output of actual data!


Expected Results:  Data for 10 samples, at 1 second intervals.

Additional info:
Comment 1 Chuck Berg 2004-06-06 18:39:29 EDT
Created attachment 100908 [details]
bad sar data from sadc 1 10 sardata.1
Comment 2 Charlie Bennett 2004-09-29 18:48:40 EDT
Sysstat 5.0.5 appears to correct this problem.
You can check it out using the version at
http://people.redhat.com/ccb/sysstat

An erratum is already in the pipeline to make this version available
on the next update.
Comment 3 John Flanagan 2004-12-20 23:01:05 EST
An advisory has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-506.html

Note You need to log in before you can comment on or make changes to this bug.